<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MyTransicsInfo StructType
 * @subpackage Structs
 */
class MyTransicsInfo extends AbstractStructBase
{
    /**
     * The IsActive
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IsActive;
    /**
     * The UserId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $UserId;
    /**
     * The Email
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Email;
    /**
     * The PasswordResetCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PasswordResetCode;
    /**
     * Constructor method for MyTransicsInfo
     * @uses MyTransicsInfo::setIsActive()
     * @uses MyTransicsInfo::setUserId()
     * @uses MyTransicsInfo::setEmail()
     * @uses MyTransicsInfo::setPasswordResetCode()
     * @param bool $isActive
     * @param string $userId
     * @param string $email
     * @param string $passwordResetCode
     */
    public function __construct($isActive = null, $userId = null, $email = null, $passwordResetCode = null)
    {
        $this
            ->setIsActive($isActive)
            ->setUserId($userId)
            ->setEmail($email)
            ->setPasswordResetCode($passwordResetCode);
    }
    /**
     * Get IsActive value
     * @return bool
     */
    public function getIsActive()
    {
        return $this->IsActive;
    }
    /**
     * Set IsActive value
     * @param bool $isActive
     * @return \StructType\MyTransicsInfo
     */
    public function setIsActive($isActive = null)
    {
        // validation for constraint: boolean
        if (!is_null($isActive) && !is_bool($isActive)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isActive, true), gettype($isActive)), __LINE__);
        }
        $this->IsActive = $isActive;
        return $this;
    }
    /**
     * Get UserId value
     * @return string|null
     */
    public function getUserId()
    {
        return $this->UserId;
    }
    /**
     * Set UserId value
     * @param string $userId
     * @return \StructType\MyTransicsInfo
     */
    public function setUserId($userId = null)
    {
        // validation for constraint: string
        if (!is_null($userId) && !is_string($userId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($userId, true), gettype($userId)), __LINE__);
        }
        $this->UserId = $userId;
        return $this;
    }
    /**
     * Get Email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->Email;
    }
    /**
     * Set Email value
     * @param string $email
     * @return \StructType\MyTransicsInfo
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        $this->Email = $email;
        return $this;
    }
    /**
     * Get PasswordResetCode value
     * @return string|null
     */
    public function getPasswordResetCode()
    {
        return $this->PasswordResetCode;
    }
    /**
     * Set PasswordResetCode value
     * @param string $passwordResetCode
     * @return \StructType\MyTransicsInfo
     */
    public function setPasswordResetCode($passwordResetCode = null)
    {
        // validation for constraint: string
        if (!is_null($passwordResetCode) && !is_string($passwordResetCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($passwordResetCode, true), gettype($passwordResetCode)), __LINE__);
        }
        $this->PasswordResetCode = $passwordResetCode;
        return $this;
    }
}
